Name:           python-jsonpickle
Version:        3.0.2
Release:    1%{?dist}
Summary:        A module that allows any object to be serialized into JSON

License:        BSD-3-Clause
URL:            https://github.com/jsonpickle/jsonpickle
Source0:        %{pypi_source jsonpickle}

%global _docdir_fmt %{name}

BuildArch:      noarch
BuildRequires:  python3-devel

%global _description %{expand:
jsonpickle is a library for the two-way conversion of complex Python objects
and JSON. jsonpickle builds upon the existing JSON encoders, such as
simplejson, json, and ujson.}

%description %{_description}


%package -n python3-jsonpickle
Summary:        A module that allows any object to be serialized into JSON

%description -n python3-jsonpickle %{_description}


%prep
%autosetup -n jsonpickle-%{version} -p1

sed -r -i \
    -e 's/^([[:blank:]]*)(pytest-(black|checkdocs|cov|flake8))/\1# \2/' \
    setup.cfg
sed -r -i 's/[[:blank:]]--cov[^[:blank:]]*//g' pytest.ini


%generate_buildrequires
%pyproject_buildrequires -x testing,testing.libs


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files jsonpickle


%check
%pytest


%files -n python3-jsonpickle -f %{pyproject_files}


%changelog
* Fri Jun 28 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.2-1
- initial build
